import React, { useEffect, useState } from 'react';
import PropTypes from 'prop-types';
import axios from 'axios';

import config from '../utils/config';
import Map from './map';
import Table from './table';

/*destructure props object*/
export default function Fetch ({route}) {

    const [array, setArray] = useState([]);

    /*fetch array in a JavaScript function*/
    const fetch = async () => {
	if(config && route){
            try {
		//console.log("Fetch:fetch(): route: " + route);
            /*TODO handle errors: https://www.valentinog.com/blog/await-react/*/
            //fetch data only if user selection is unequal default value
            const address = `${config.API}${route}`;
	    //console.log("Fetch:fetch(): address: "+address);
            const res = await axios.get(address);
	    //console.log("Fetch:fetch(): res.length: "+res.data.length);
	    setArray((array) => res.data);
        } catch (err) {
            console.error('err.message: ' + err.message);
	    setArray((array) => []);
        }
	}else{
            console.error('config or route NOT available');
	}
    };

    useEffect(() => {
	/*effect goes here*/
	fetch();
	/*use an empty dependency array to ensure the hook is running only once*/
	/*TODO study dependency array: https://reactjs.org/docs/hooks-effect.html*/
    }, []);


    if (array !== undefined || array !== null || array.length > 0) {
	/*return a React element*/
	return (
            <>
		<Map
		    array={array}
		/>
		<Table
		    array={array}
		/>
            </>
	);
    }else{
	return (
            <>
	    <p>Loading...</p>
            </>
	);
    }
};
Fetch.propTypes = {
    route: PropTypes.string
};
