import React from 'react';
import PropTypes from 'prop-types';

import TableEntries from './table-entries';

/*destructure props object*/
export default function Table ({array}){
    if (array !== undefined || array !== null || array.length > 0) {
	/*return a React element*/
	return (
            <>
	    <h2>Table</h2>
            <table>
		<thead>
		    <tr>
			<th>id</th>
			<th>railway</th>
			<th>name</th>
			<th>lon</th>
			<th>lat</th>
		    </tr>
		</thead>
		<tbody>
		    <TableEntries array={array} />
		</tbody>
	    </table>
            </>
	);
    }else{
	return (
            <>
	    <h2>Table</h2>
	    <p>Table loading...</p>
            </>
	);
    }
};
Table.propTypes = {
    array: PropTypes.array
};
