import React, { useState, useEffect } from 'react'
import { Link} from 'react-router-dom';

import '../style.css';
import {getBusStopCount, getParkRideCount, getTrainStationCount} from '../utils/api';
export default function Home(){
    const [busStopCount, setBusStopCount] = useState('loading...');
    const [parkRideCount, setParkRideCount] = useState('loading...');
    const [trainStationCount, setTrainStationCount] = useState('loading...');

    const fetchBusStopCount = async () => {
        try {
	    const rsp=await getBusStopCount();
	    setBusStopCount((busStopCount) => rsp);
        } catch (err) {
            console.error('err.message: ' + err.message);
	    setBusStopCount((busStopCount) => 'loading...');
        }
    };

    const fetchParkRideCount = async () => {
        try {
	    const rsp=await getParkRideCount();
	    setParkRideCount((parkRideCount) => rsp);
        } catch (err) {
            console.error('err.message: ' + err.message);
	    setParkRideCount((parkRideCount) => 'loading...');
        }
    };

    const fetchTrainStationCount = async () => {
        try {
	    const rsp=await getTrainStationCount();
	    setTrainStationCount((trainStationCount) => rsp);
        } catch (err) {
            console.error('err.message: ' + err.message);
	    setTrainStationCount((trainStationCount) => 'loading...');
        }
    };

    useEffect(() => {
	/*effect goes here*/
	fetchBusStopCount();
	fetchParkRideCount();
	fetchTrainStationCount();
    }, []);

    return (
	<>
	    <Link
	    to='/'
	    >
		<button>
		    Home
		</button>
	    </Link>
	    <h1>RVB Display</h1>
	    <h2>Wellcome to the RVB Display!</h2>
	    <h3>Number of bus stops in the RVB area: {busStopCount}</h3>
	    <h3>Number of train stations in the RVB area: {trainStationCount}</h3>
	    <Link
		to={'/train-station'}
	    >
		<button>Map of Train Stations</button>
	    </Link>
	    <h3>Number of park and ride (P&R) stations in the RVB area: {parkRideCount}</h3>
	    <Link
		to={'/park-ride'}
	    >
		<button>Map of P&R Stations</button>
	    </Link>
	</>
    );
}
